ml; charset=UTF-8
Last-Modified: Sun, 29 Dec 2024 12:17:10 GMT
Expires: Sun, 29 Dec 2024 16:17:10 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>cgit - Web front-end for git that you're looking at right now. Might have had a few additions from upstream.</title>
<meta name='generator' content='cgit v1.2.3-54-g00ecf'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<script type='text/javascript' src='/cgit.js'></script>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.twilightsparkle.space/cgit/atom/cgit.css?h=v1.2.2' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.twilightsparkle.space/cgit' title='cgit Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/cgit/'>cgit</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='e9d3bd544fe94ba5ade9ccf185328fcc2414814b'/><select name='h' onchange='this.form.submit();'>
<option value='master'>master</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Web front-end for git that you're looking at right now. Might have had a few additions from upstream.</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/?h=v1.2.2'>summary</a><a href='/cgit/refs/?h=v1.2.2&amp;id=e9d3bd544fe94ba5ade9ccf185328fcc2414814b'>refs</a><a class='active' href='/cgit/log/cgit.css?h=v1.2.2'>log</a><a href='/cgit/tree/cgit.css?h=v1.2.2&amp;id=e9d3bd544fe94ba5ade9ccf185328fcc2414814b'>tree</a><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=e9d3bd544fe94ba5ade9ccf185328fcc2414814b' rel='nofollow'>commit</a><a href='/cgit/diff/cgit.css?h=v1.2.2&amp;id=e9d3bd544fe94ba5ade9ccf185328fcc2414814b'>diff</a><a href='/cgit/stats/cgit.css?h=v1.2.2'>stats</a><a href='https://git.zx2c4.com/cgit/about'>homepage</a></td><td class='form'><form class='right' method='get' action='/cgit/log/cgit.css'>
<input type='hidden' name='h' value='v1.2.2'/><input type='hidden' name='id' value='e9d3bd544fe94ba5ade9ccf185328fcc2414814b'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/log/?h=v1.2.2&amp;id=e9d3bd544fe94ba5ade9ccf185328fcc2414814b'>root</a>/<a href='/cgit/log/cgit.css?h=v1.2.2&amp;id=e9d3bd544fe94ba5ade9ccf185328fcc2414814b'>cgit.css</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th></th><th class='left'>Commit message (<a href='/cgit/log/cgit.css?h=v1.2.2&amp;id=e9d3bd544fe94ba5ade9ccf185328fcc2414814b&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th><th class='left'>Age</th></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=17890d0058c1555133c8767ceb123e809e6971ab' rel='nofollow'>Add link to index page from repo header, remove page name</a></td><td>Lars Hjemli</td><td><span title='2008-05-04 17:30:02 +0200'>2008-05-04</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=aa3c4486b41b8b13d0f52477f033837fc8bb9524' rel='nofollow'>Add footer with page creation time and cgit version on all pag<style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span>include(CMakeFindDependencyMacro)



include(&quot;${CMAKE_CURRENT_LIST_DIR}/@PROJECT_NAME@Targets.cmake&quot;)
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3-54-g00ecf</a> (<a href='https://git-scm.com/'>git 2.39.0</a>) at 2024-12-29 12:17:11 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
aph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=f405d0bf75427c627778027e9900359335d6774e' rel='nofollow'>Add support for line number in url fragment</a></td><td>Lars Hjemli</td><td><span title='2007-07-23 00:47:18 +0200'>2007-07-23</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=3aae82703bfe70fc273f0611cdc780804df77bb8' rel='nofollow'>css: adjust vertical-align of commit info th cells</a></td><td>Michael Krelin</td><td><span title='2007-07-18 14:55:40 +0200'>2007-07-18</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=a215bf4620113fcefb8dd3442bf3501bd648c463' rel='nofollow'>Change S/L/T to summary/log/tree</a></td><td>Lars Hjemli</td><td><span title='2007-06-18 22:14:17 +0200'>2007-06-18</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=b8be028a309381b83abe924f5e8e01cf02b121a2' rel='nofollow'>Add more menuitems on repo pages</a></td><td>Lars Hjemli</td><td><span title='2007-06-18 08:29:53 +0200'>2007-06-18</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=426032f767763b46f462de51d1ebded34f671d79' rel='nofollow'>ui-tree: html/css cleanup</a></td><td>Lars Hjemli</td><td><span title='2007-06-17 13:17:00 +0200'>2007-06-17</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=ffc69736a606fd8f9a10468cce48b9a37b428944' rel='nofollow'>ui-tree: unify with ui-view, use path to select tree/blob</a></td><td>Lars Hjemli</td><td><span title='2007-06-16 20:20:42 +0200'>2007-06-16</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=849f0f0f02f858e21fbe59295846e51628f82915' rel='nofollow'>cgit.css: make it validate</a></td><td>Lars Hjemli</td><td><span title='2007-06-07 00:43:07 +0200'>2007-06-07</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=bbcdc290c6c0b8121e57dbca4bd66c9e5e729959' rel='nofollow'>Add repo.readme parameter</a></td><td>Lars Hjemli</td><td><span title='2007-05-23 22:46:54 +0200'>2007-05-23</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=5db39170b6c979655a0238dcd627e206febed88b' rel='nofollow'>Add cgit_print_age() function</a></td><td>Lars Hjemli</td><td><span title='2007-05-22 23:12:41 +0200'>2007-05-22</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=3b86b44fc761cfa8b97c44bbbdd63c9fbf1127ed' rel='nofollow'>css: make column headings bold</a></td><td>Lars Hjemli</td><td><span title='2007-05-21 00:29:11 +0200'>2007-05-21</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=0b8b6a317654dce2aa8c7ec5bf55717f624af14f' rel='nofollow'>Make frontpage friendlier</a></td><td>Lars Hjemli</td><td><span title='2007-05-21 00:14:28 +0200'>2007-05-21</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=7b39144a541ab5be8bcd2748a5be89389bee7192' rel='nofollow'>Adjust apperance of repogroup headers</a></td><td>Lars Hjemli</td><td><span title='2007-05-20 22:12:54 +0200'>2007-05-20</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=5877c49f68b1e1bef94b4867f22c336f0e1605b6' rel='nofollow'>Teach cgit how to group repositories by category</a></td><td>Lars Hjemli</td><td><span title='2007-05-18 22:51:18 +0200'>2007-05-18</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=d82c08a0446aa712a7d825e07f3d51796421b3a2' rel='nofollow'>Do not wrap filemode column in diffstat table</a></td><td>Lars Hjemli</td><td><span title='2007-05-16 03:30:57 +0200'>2007-05-16</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=dff894d12953a8a3cd7cdca2357771212a2f57d6' rel='nofollow'>Add link to commitdiff below diffstat</a></td><td>Lars Hjemli</td><td><span title='2007-05-16 01:16:56 +0200'>2007-05-16</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=e903011c4457c24c0095f270ca5e78c40729434f' rel='nofollow'>Use tables and css to create the diffstat graph, fix scaling</a></td><td>Lars Hjemli</td><td><span title='2007-05-15 09:09:42 +0200'>2007-05-15</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=a342ac6b4d7830f82230b0f6a29bc9378d66747e' rel='nofollow'>cgit.css: try to make diffs look a little bit nicer</a></td><td>Lars Hjemli</td><td><span title='2007-05-14 22:43:38 +0200'>2007-05-14</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=a1a0cd8b5a62fe779d77c210a3d455398ce06bb7' rel='nofollow'>cgit.css: try do make diffstat a little bit nicer</a></td><td>Lars Hjemli</td><td><span title='2007-05-14 18:10:32 +0200'>2007-05-14</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=9fb53af215639fcd3bfb876fa9c8bac221244bdf' rel='nofollow'>Add log filtering by path and link to it from tree view</a></td><td>Lars Hjemli</td><td><span title='2007-05-14 11:13:18 +0200'>2007-05-14</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=6a8749d3bd1570faa3dc07e80efc8fcef5953aa0' rel='nofollow'>Add commitdiff between commit and each of it's parent</a></td><td>Lars Hjemli</td><td><span title='2007-05-13 23:27:53 +0200'>2007-05-13</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=8a3685bcf2612206fc24a2421acb53dd83aeab85' rel='nofollow'>Add graphical diffstat to commit view</a></td><td>Lars Hjemli</td><td><span title='2007-05-13 22:31:11 +0200'>2007-05-13</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=f5af0beb6ab569d64950ca55a52a07923917ce81' rel='nofollow'>css: fix bad rendering in Internet Explorer</a></td><td>Lars Hjemli</td><td><span title='2007-05-12 00:29:37 +0200'>2007-05-12</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=9f48df63f6d8d9a8abcc02cd2f08293da7081520' rel='nofollow'>Add links to enable downloading of tagged blobs</a></td><td>Lars Hjemli</td><td><span title='2007-05-11 23:44:42 +0200'>2007-05-11</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=ded9393b173853d2e960f9b176aeb0bc4ed35be2' rel='nofollow'>Add submodule links in tree listing</a></td><td>Lars Hjemli</td><td><span title='2007-05-11 12:12:48 +0200'>2007-05-11</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=66cacd053ba900c8eb3b7962027370c84a97f990' rel='nofollow'>Layout update</a></td><td>Lars Hjemli</td><td><span title='2007-02-21 00:24:36 +0100'>2007-02-21</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=d8b0cca2606f8919208ea68549ff60c6e5fe91bb' rel='nofollow'>Set explicit font size</a></td><td>Lars Hjemli</td><td><span title='2007-01-28 12:01:21 +0100'>2007-01-28</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=8596cda71d04cd49cb983aee7968d14cc58c030d' rel='nofollow'>Change global document layout</a></td><td>Lars Hjemli</td><td><span title='2007-01-28 11:33:55 +0100'>2007-01-28</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=777faf7e509e1de2b795b2a326ff00c9bd799104' rel='nofollow'>Cleanup table listings</a></td><td>Lars Hjemli</td><td><span title='2007-01-28 00:52:41 +0100'>2007-01-28</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/cgit/commit/cgit.css?h=v1.2.2&amp;id=23734c5a2b607dca2d634cafdc63202a687f26d3' rel='nofollow'>Extend repo summary with tag list</a></td><td>Lars Hjemli</td><td><span title='2007-01-17 01:10:39 +0100'>2007-01-17</span></td></tr>
</table><ul class='pager'><li><a href='/cgit/log/cgit.css?h=v1.2.2&amp;id=e9d3bd544fe94ba5ade9ccf185328fcc2414814b&amp;ofs=50'>[next]</a></li></ul></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3-54-g00ecf</a> (<a href='https://git-scm.com/'>git 2.39.0</a>) at 2024-12-29 12:17:10 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
